# SoCylinderDetail Class Reference
[Detail classes]

`#include <Inventor/details/SoCylinderDetail.h>`

Inheritance diagram for SoCylinderDetail:

List of all members.

## Detailed Description

The SoCylinderDetail class contains information about the parts of a SoCylinder shape.

Instances of this class are used for storing information about hit points on cylinder geometry after pick operations, and for storing information returned to tessellation callbacks.

See also:
  SoCylinder, SoRayPickAction, SoCallbackAction

## Public Member Functions

| SoCylinderDetail (void)
virtual | ~SoCylinderDetail ()
virtual SoDetail * | copy (void) const
void | setPart (const int part)
int | getPart (void) const

## Static Public Member Functions

void | initClass (void)

## Protected Attributes

int | part

## Constructor & Destructor Documentation

SoCylinderDetail::SoCylinderDetail | ( | void |  | ) |

| Constructor.

SoCylinderDetail::~SoCylinderDetail | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

void SoCylinderDetail::initClass | ( | void |  | ) | `[static]`

| Initialize relevant common data for all instances, like the type system. Reimplemented from SoDetail.

SoDetail * SoCylinderDetail::copy | ( | void |  | ) | const`[virtual]`

Return a deep copy of ourself.

Note that if the Coin library has been built as a DLL under Microsoft Windows and you use this method from application code, you must make sure that both the Coin DLL and the application executable is using the same instance of a C Run-Time (CRT) library. Otherwise, you will get memory heap corruption upon deallocating the returned instances, eventually leading to mysterious crashes.

Implements SoDetail.

void SoCylinderDetail::setPart | ( | const int | part | ) |

| Set the part of a cylinder which was selected. A cylinder has three different conceptual parts; SoCylinder::SIDES, SoCylinder::TOP or SoCylinder::BOTTOM.

int SoCylinderDetail::getPart | ( | void |  | ) | const

| Returns selected cylinder part.

## Member Data Documentation

int SoCylinderDetail::part`[protected]`

| This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

The documentation for this class was generated from the following files:

- SoCylinderDetail.h
- SoCylinderDetail.cpp